/* process a keyword that is contained in a call paramenter list */!!

inherit(Object, #CLIListKeywordNode, #(key), 2, nil)!!

now(class(CLIListKeywordNode))!!

now(CLIListKeywordNode)!!

/* output quoted strings for each element. */
Def CLICodeCompile(self | keywordString)
{
  keywordString := tokenValueToKeyword(CLIUtilities, key);
  if not(keywordString)
    displayFormattedError(ErrorTextLibClass$Inst, 
        ER_CLI_INTERNAL, FORCE_POPUP, "Keyword not found",
        "CLIListKeywordNode:CLICodeCompile", nil);
  endif;
  argTupleAddArg(getExecutionEngine(CLIExecEngine), nil, keywordString);
}!!

Def init(self, keyword)
{
  key := keyword;
}!!
